"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/ec2/lib/custom-resources/transit-gateway-resolver.lambda.ts
var transit_gateway_resolver_lambda_exports = {};
__export(transit_gateway_resolver_lambda_exports, {
  handler: () => handler
});
module.exports = __toCommonJS(transit_gateway_resolver_lambda_exports);
var import_client_ec2 = require("@aws-sdk/client-ec2");
var ec2 = new import_client_ec2.EC2({});
var handler = async (event) => {
  var _a, _b;
  const transitGatewayId = event.ResourceProperties.TransitGatewayId;
  if (!transitGatewayId) {
    throw new Error("'TransitGatewayId' is required.");
  }
  const resp = await ec2.describeTransitGateways({
    TransitGatewayIds: [
      transitGatewayId
    ]
  });
  const tgws = resp.TransitGateways;
  if (tgws && tgws.length === 1) {
    const tgw = tgws[0];
    return {
      Data: {
        DefaultAssociationRouteTableId: (_a = tgw.Options) == null ? void 0 : _a.AssociationDefaultRouteTableId,
        DefaultPropagationRouteTableId: (_b = tgw.Options) == null ? void 0 : _b.PropagationDefaultRouteTableId
      },
      PhysicalResourceId: `${tgw.TransitGatewayId}|cdke-lookup`
    };
  } else {
    throw new Error("Specified transit gateway was not found.");
  }
};
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  handler
});
