"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/ec2/lib/custom-resources/vpc-cidr-block-resolver.lambda.ts
var vpc_cidr_block_resolver_lambda_exports = {};
__export(vpc_cidr_block_resolver_lambda_exports, {
  handler: () => handler
});
module.exports = __toCommonJS(vpc_cidr_block_resolver_lambda_exports);
var import_client_ec2 = require("@aws-sdk/client-ec2");
var ec2 = new import_client_ec2.EC2({});
var handler = async (event) => {
  var _a, _b;
  const vpcId = event.ResourceProperties.VpcId;
  if (!vpcId) {
    throw new Error("'VpcId' is required.");
  }
  const associationId = event.ResourceProperties.AssociationId;
  if (!associationId) {
    throw new Error("'AssociationId' is required.");
  }
  const resp = await ec2.describeVpcs({
    VpcIds: [
      vpcId
    ]
  });
  const vpcLength = ((_a = resp.Vpcs) == null ? void 0 : _a.length) ?? 0;
  if (vpcLength !== 1) {
    throw new Error(`Expected 1 vpc result but got ${vpcLength}.`);
  } else {
    const vpc = resp.Vpcs[0];
    const associations = (_b = vpc.CidrBlockAssociationSet) == null ? void 0 : _b.filter((x) => {
      return x.AssociationId === associationId;
    });
    const associationLength = associations == null ? void 0 : associations.length;
    if (associationLength !== 1) {
      throw new Error(`Expected 1 association result but got ${associationLength}.`);
    } else {
      return {
        Data: {
          CidrBlock: associations[0].CidrBlock
        },
        PhysicalResourceId: `${vpcId}|${associationId}`
      };
    }
  }
};
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  handler
});
