import { Resource, ResourceProps } from 'aws-cdk-lib';
import { CfnGlobalNetwork } from 'aws-cdk-lib/aws-networkmanager';
import { IConstruct } from 'constructs';
import { ITransitGatewayRegistration } from './transit-gateway-registration';
import { ITransitGateway } from '../ec2';
export interface IGlobalNetwork {
    readonly globalNetworkArn: string;
    readonly globalNetworkId: string;
}
export interface GlobalNetworkProps extends ResourceProps {
    readonly description?: string;
}
export interface RegisterTransitGatewayProps {
    readonly transitGateway: ITransitGateway;
}
declare abstract class GlobalNetworkBase extends Resource implements IGlobalNetwork {
    abstract readonly globalNetworkArn: string;
    abstract readonly globalNetworkId: string;
}
export declare class GlobalNetwork extends GlobalNetworkBase {
    readonly description?: string;
    readonly resource?: CfnGlobalNetwork;
    readonly globalNetworkArn: string;
    readonly globalNetworkId: string;
    constructor(scope: IConstruct, id: string, props?: GlobalNetworkProps);
    registerTransitGateway(id: string, options: RegisterTransitGatewayProps): ITransitGatewayRegistration;
}
export {};
